#ifndef _UI_MAIN_SCREEN_EVENT_H
#define _UI_MAIN_SCREEN_EVENT_H
#include <ctype.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>

#include "ui.h"
#ifdef __cplusplus
extern "C" {
#endif

void MainScreenRefresh(void);
void main_screen_timer_callback(void);
void main_screen_rotance(void);
void mainscreen_icon_refresh(void);

void MainScreenLoadStartCallback(lv_event_t * e);
void MainScreenLoadedcallback(lv_event_t * e);
void MainScreenUnLoadedCallback(lv_event_t * e);
void MainThirdGearClickPanelClickedCallback(lv_event_t * e);
void MainSetTempMainAddIconPanelClickedcallback(lv_event_t * e);
void MainSetTempMainMinusIconPanelClickedCallback(lv_event_t * e);
void MainScreenOnOffButtonPanelClickedCallback(lv_event_t * e);
void MainScreenModeButtonPanelCallback(lv_event_t * e);
void MainScreenMuneButtonPanelClickedCallback(lv_event_t * e);
void MainTurnOffClickedCancelPanelClickedCallback(lv_event_t * e);
void MainTurnOffClickedConfirmPanelClickedCallback(lv_event_t * e);
void MainScreenOffClickedPanelClickedCallback(lv_event_t * e);
void ProgramCopyBackPanelClickedCallback(lv_event_t * e);
void ProgramResetBackPanelClickedCallback(lv_event_t * e);

void MainScreenChildLockPasswordBackPanelClickedCallback(lv_event_t * e);
void ChildLockPasswordReturnPanelClickedCallback(lv_event_t * e);
void ChildLockPasswordInputPanelKeyboardReadyCallback(lv_event_t * e);
void ChildLockPasswordInputPanelKeyboardKeyCallback(lv_event_t * e);
void ProductTestTouchPanelClickedCallback(lv_event_t * e);

#ifdef __cplusplus
} /*extern "C"*/
#endif

#endif
